## aiksaurus 1.0.1+cvs.2004.03.15+dev

=== kde/Makefile ===
CC=g++
CPPFLAGS=-Wall -ansi
KDEDIR=/usr/lib/kde2
QTDIR=/usr/lib/qt2
MOC=moc

all: kaiksaur

install: all
	cp kaiksaur /usr/bin/
	chmod 755 /usr/bin/kaiksaur
	chown root.root /usr/bin/kaiksaur

uninstall: clean
	rm -f /usr/bin/kaiksaur

kaiksaur : Kaiksaur.o moc_Kaiksaur.o QAikSaurusHistory.o 
	$(CC) $(CPPFLAGS) -o kaiksaur \
	Kaiksaur.o moc_Kaiksaur.o QAikSaurusHistory.o \
	-L$(KDEDIR)/lib -lkdeui -lkdecore -lqt -ldl -lbz2 -lAikSaurus

Kaiksaur.o : Kaiksaur.cpp QAikSaurusHistory.h
	$(CC) $(CPPFLAGS) -c Kaiksaur.cpp -I$(QTDIR)/include

moc_Kaiksaur.o : moc_Kaiksaur.cpp
	$(CC) $(CPPFLAGS) -c moc_Kaiksaur.cpp -I$(QTDIR)/include 

moc_Kaiksaur.cpp : Kaiksaur.h
	$(MOC) Kaiksaur.h -o moc_Kaiksaur.cpp

QAikSaurusHistory.o : QAikSaurusHistory.h QAikSaurusHistory.cpp
	$(CC) $(CPPFLAGS) -c QAikSaurusHistory.cpp -I$(QTDIR)/include

clean:
	rm -f kaiksaur *.o

=== php/Makefile ===
VERSION = 0.12
	
SOURCES = phpAiksaur.php \
          phpAiksaur_embedded.php \
          phpAiksaur_popup.php \
          phpAiksaur_popup_frameset.php \
          phpAiksaur_popup_searchframe.php \
          phpAiksaur_popup_closeframe.php \
	  phpAiksaur_index.php

NAME = phpaiksaur-$(VERSION)
	  
%.phps:%.php
	ln -s $< $<s

all: $(SOURCES:.php=.phps) $(NAME).tar.gz
	 
	
$(NAME).tar.gz: $(SOURCES)
	mkdir -p $(NAME)	
	cp $(SOURCES) $(NAME)
	mv $(NAME)/phpAiksaur_index.php $(NAME)/index.php
	tar cvfz $(NAME).tar.gz $(NAME)

clean:
	rm *.phps
	rm -rf $(NAME)

## aiksaurus 1.2.1%2Bdev-0.12

=== debian/changelog ===
aiksaurus (1.2.1+dev-0.12-7.2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:03 +0200

aiksaurus (1.2.1+dev-0.12-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add previously implied build dependency pkg-config. (Closes: #1053537)
  * d/rules: Drop unnecessary override_dh_auto_configure.
  * Add Homepage. (Closes: #1035418)

 -- Bastian Germann <bage@debian.org>  Fri, 06 Oct 2023 00:28:37 +0200

aiksaurus (1.2.1+dev-0.12-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gaiksaurus and libaiksaurusgtk packages. (Closes: #967248)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Sep 2023 07:43:10 +0000

aiksaurus (1.2.1+dev-0.12-7) unstable; urgency=medium

  * adopt package; add myself as maintainer;
    closes: bug#836473, thanks to Masayuki Hatta for past work
  * add git-buildpackage config:
    + enable pristine-tar
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branch naming scheme
  * work around FTPFS with g++ 11 by setting CXXFLAG -std=c++14;
    closes: bug#983963, thanks to Matthias Klose
  * use debhelper compatibility level 13 (not 9);
    explicitly list *.la files as not installed;
    build-depend on debhelper-compat (not debhelper);
    stop build-depend explicitly on dh-autoreconf
  * omit install missing GTK documentation files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 06:22:57 +0100

aiksaurus (1.2.1+dev-0.12-6.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Fabian Wolff ]
  * Rewrite and clean up debian/rules (Closes: #817290, #821961).
  * Fix all Lintian warnings and errors.
    - update compat level and debhelper
    - wrap and sort
    - copyright in dep5
    - missing misc depends
    - missing target in rules
    - dh-clean deprecated
    - outdated std-version
    - versioned debhelper missing
    - binary without manpage
    - harderning missing
    - spelling errors
    - missing ldconfig trigger
    - various more fixes.
  * Install libAiksaurus[GTK]-1.2.so instead of libAiksaurus[GTK].so.
  * Upgrade to source format 3.0 (quilt) and Standards version 3.9.8.

  [ Gianfranco Costamagna ]
  * Upload to unstable.
  * Extract into a single patch the changes done in native mode
    (removing changes to autotools, now we do autoreconf)

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 10 May 2016 23:21:21 +0200

aiksaurus (1.2.1+dev-0.12-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * autoreconf on build to suport new architectures (Closes: 756031)

 -- Wookey <wookey@debian.org>  Sun, 12 Oct 2014 02:36:19 +0000

aiksaurus (1.2.1+dev-0.12-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621155).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 15:05:12 +0200

aiksaurus (1.2.1+dev-0.12-6) unstable; urgency=low

  * Bupmed to Standards-Version: 3.8.0.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 14 Jul 2008 02:23:10 +0900

aiksaurus (1.2.1+dev-0.12-5) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.
  * Fixed FTBFS with gcc-4.3 - closes: #451678
  * Added gaiksaurus.desktop from Ubuntu - closes: #451683
  * Added aiksaurus.1 manpage, thanks Marcela Tiznado - closes: #436191

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Dec 2007 09:09:27 +0900

aiksaurus (1.2.1+dev-0.12-4) unstable; urgency=low

  * Fixed build problem with GCC 4.3 - closes: #417079

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 01 May 2007 17:13:30 +0900

aiksaurus (1.2.1+dev-0.12-3) unstable; urgency=low

  * Bumped to Standards-Verion: 3.7.2.
  * Acknowledged a (really old) NMU - closes: #241279

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon,  9 Oct 2006 22:47:44 +0900

aiksaurus (1.2.1+dev-0.12-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild to remove reference to libXcursor.la, so that abiword can be
    built.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue,  2 May 2006 19:13:21 -0700

aiksaurus (1.2.1+dev-0.12-2) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * Acknowledged NMU, thanks vorlon - closes: #339144, #318883
  * Bumped to Standards-Version: 3.6.2.2 (no physical changes).
  * Updated FSF's address in debian/copyright.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  5 Mar 2006 00:51:49 +0900

aiksaurus (1.2.1+dev-0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libaiksaurus-1.2-0 to libaiksaurus-1.2-0c2a, and rename
    libaiksaurusgtk0 to libaiksaurusgtk0c2a for the libstdc++ allocator
    change (closes: #339144).
  * Drop irrelevant shlibs entries that don't correspond to any shipped
    libs.
  * Drop build-dependency on libstdc++2.10-dev.
  * Fix tools in data/0.12-dev/ to build with a modern C++ compiler, so
    that we have full valid source for being able to regenerate the
    thesaurus data files.

 -- Steve Langasek <vorlon@debian.org>  Sun, 27 Nov 2005 00:24:13 -0800

aiksaurus (1.2.1+dev-0.12-1) unstable; urgency=low

  * New upstream release
  * Acknowledged NMUs - closes: #249909, #262556
  * Now buildable on ia64 and kfreebsd-i386 - closes: #315156, #316574
  * Made Standards-Version: 3.6.2.1 (no physical changes).
  * Package names are massively changed.  It serves GCC 4.0 transition, too.
  * No uses dpatch.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 14 Jul 2005 16:11:32 +0900

aiksaurus (1.0.1+cvs.2004.03.15+dev-0.12-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Only depend on libstdc++2.10-dev on platforms which provide it;
    this should be sufficient to satisfy the "buildable from source"
    requirement, since the bits we would need g++2.95 for aren't
    actually being regenerated as part of the build.  Closes: #262556.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Aug 2004 00:30:52 -0700



## aiksaurus 1.2.1+dev

=== data/0.12-dev/datagen/Makefile ===
TEMPS = meanings.text.sort2 \
        meanings.text.sort1 \
        words.text \
        links.dat

FINALS = words.dat \
         meanings.dat \
	 MeaningsHash.h

	 
all: $(TEMPS) $(FINALS)
	@echo ""
	@echo "All done with data conversion."
	@echo ""
	@echo "Relevant files are: "
	@echo "   words.dat         (words side of thesaurus data)"
	@echo "   meanings.dat      (meanings side of thesaurus data)"
	@echo "   MeaningsHash.h    (hash table for meanings file)"
	@echo ""
	@echo "Copy these files into your impl directory to continue."
	@echo ""
	@echo "  Run \"make clean\" to delete intermediate (temporary) files."
	@echo "  Run \"make clobber\" to delete all generated files."
	@echo ""

start:
	@echo ""
	@echo "Beginning Data Conversion."
	@echo ""
	@echo "This makefile is creating implementation data for the "
	@echo "thesaurus.  This is an involved process, but should "
	@echo "complete in under a minute on any reasonably fast "
	@echo "system."
	@echo ""
	
clean: 
	rm -f $(TEMPS)

clobber: 
	rm -f $(FINALS) $(TEMPS)

	
meanings.text.sort1: meanings.text start
	@echo "  > Sorting meanings.text (pass 1 of 2)" 
	@../src/SortMeanings < meanings.text > meanings.text.sort1
	@echo ""

meanings.text.sort2 : meanings.text.sort1
	@echo "  > Sorting meanings.text (pass 2 of 2)"
	@../src/InsensitiveSorter < meanings.text.sort1 > meanings.text.sort2
	@echo ""

words.text : meanings.text
	@echo "  > Building words.text from meanings.text"
	@../src/ExtractWords < meanings.text | ../src/InsensitiveSorter > words.text
	@echo ""

links.dat : words.text 
	@echo "  > Building links.dat from words.text..."
	@../src/LinkWords --words=words.text --meanings=meanings.text.sort2 \                                      --output=links.dat.temp
	@../src/InsensitiveSorter < links.dat.temp > links.dat
	@rm links.dat.temp
	@echo ""
	
words.dat : links.dat
	@echo "  > Creating Words Implementation"
	@../src/ImplWords --links=links.dat --maxchars=17 --maxlinks=5 --out=words.dat
	@echo ""

meanings.dat : meanings.text.sort2 words.text
	@echo "  > Creating Meanings Implementation"
	@../src/ImplMeanings -m=meanings.text.sort2 -w=words.text -o=meanings.dat
	@echo ""
	
MeaningsHash.h : meanings.dat
	@echo "  > Creating Meanings Hash Data"
	@../src/MkOffsetTable --input=meanings.dat --split=4 > MeaningsHash.h
	@echo ""

=== data/0.12-dev/impl/Makefile ===
CC = g++
CPPFLAGS = -Wall     
LIBS =

# Erase all suffixes and set our own
.SUFFIXES:
.SUFFIXES: .o .cpp .h

# $@ = .o file
# $^ = all listed dependancies
.cpp.o:
	$(CC) $(CPPFLAGS) -c $<
.o:
	$(CC) $(CPPFLAGS) -o $@ $^ $(LIBS)

all: fake_all

include MakeTargets
include MakeDepend

fake_all: $(TARGETS)

MakeDepend: *.cpp *.h
	@echo "Generating dependency information..."
	@g++ -MM *.cpp > MakeDepend
	@echo "Dependency information created."

clean:
	rm -f *.o $(TARGETS) MakeDepend

=== data/0.12-dev/src/Makefile ===
CC = g++
CFLAGS = -Wall -O3 -s  
LDFLAGS =

# Erase all suffixes and set our own
.SUFFIXES:
.SUFFIXES: .o .cpp .h

# $@ = .o file
# $^ = all listed dependancies
.cpp.o:
	$(CC) $(CFLAGS) -c $<
.o:
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

all: fake_all

include MakeTargets
include MakeDepend

fake_all: $(TARGETS)

MakeDepend: *.cpp *.h
	g++ -MM *.cpp > MakeDepend

clean:
	rm -f *.o $(TARGETS) MakeDepend

## aiksaurus 1.2.1+dev-0.12

=== debian/control ===
Source: aiksaurus
Maintainer: Jonas Smedegaard <dr@jones.dk>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 pkg-config,
Standards-Version: 3.9.8
Homepage: https://aiksaurus.sourceforge.net/

Package: libaiksaurus-1.2-dev
Architecture: any
Section: libdevel
Depends:
 libaiksaurus-1.2-0c2a (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libaiksaurus-dev,
Provides:
 libaiksaurus-dev,
Description: This package provides an English-language thesaurus (development files)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains files needed for development with Aiksaurus.

Package: libaiksaurus-1.2-0c2a
Architecture: any
Section: libs
Depends:
 libaiksaurus-1.2-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaiksaurus-1.2-0,
 libaiksaurus0,
 libaiksaurus0c102,
Replaces:
 libaiksaurus-1.2-0,
 libaiksaurus0,
 libaiksaurus0c102,
Description: This package provides an English-language thesaurus (development)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains the shared library.

Package: aiksaurus
Architecture: any
Section: text
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaiksaurus-bin,
Provides:
 libaiksaurus-bin,
Replaces:
 libaiksaurus-bin,
Description: This package provides an English-language thesaurus (utility)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains aiksaurus, a command-line frontend for Aiksaurus.

Package: libaiksaurus-1.2-data
Architecture: all
Section: libs
Depends:
 ${misc:Depends},
Conflicts:
 libaiksaurus-data,
Provides:
 libaiksaurus-data,
Description: This package provides an English-language thesaurus (data)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains thesaurus data.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# TODO: patch code to support C++17 (see bug#983963)
export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14

%:
	dh $@

override_dh_autoreconf:
	AUTOMAKE="automake --foreign" dh_autoreconf

execute_before_dh_install:
	mkdir -p debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/aiksaurus-1.2.pc
	cat debian/aiksaurus-1.2.pc.in >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/aiksaurus-1.2.pc

=== debian/watch ===
version=4
http://sf.net/aiksaurus/ aiksaurus-([\d\.]+)\.tar\.gz debian uupdate
